# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rms-memory-mcp"
version = "1.0.1"
authors = ["Maksim Ramzaev <max@rms-ds.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Persistent, local-first memory for your AI coding agents."
homepage = "https://rms-ds.com"
documentation = "https://docs.rs/rms-memory-mcp"
readme = "README.md"
keywords = [
    "mcp",
    "ai",
    "memory",
    "rag",
    "llm",
]
categories = [
    "command-line-utilities",
    "database",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/max-ramas/rms-memory-mcp"

[[package.metadata.generate-rpm.assets]]
source = "target/release/rms-memory"
dest = "/usr/bin/rms-memory"
mode = "755"

[lib]
name = "rms_memory_mcp"
path = "src/lib.rs"

[[bin]]
name = "rms-memory"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.103"

[dependencies.blake3]
version = "1.8.5"

[dependencies.chrono]
version = "0.4.45"

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.dialoguer]
version = "0.12.0"

[dependencies.directories]
version = "5.0.1"

[dependencies.dirs]
version = "6.0.0"

[dependencies.fastembed]
version = "5.17.2"

[dependencies.futures]
version = "0.3.32"

[dependencies.glob]
version = "0.3.3"

[dependencies.lance-index]
version = "8.0.0"

[dependencies.lancedb]
version = "0.31.0"

[dependencies.notify]
version = "8.2.0"

[dependencies.ort]
version = "2.0.0-rc.12"
features = ["download-binaries"]
default-features = false

[dependencies.pathdiff]
version = "0.2.3"

[dependencies.pulldown-cmark]
version = "0.13.4"

[dependencies.regex]
version = "1.12.4"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.150"

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.similar]
version = "3.1.1"

[dependencies.tokio]
version = "1.52.3"
features = ["full"]

[dependencies.toml]
version = "1.1.2"

[dependencies.tracing]
version = "0.1.44"

[dependencies.tracing-appender]
version = "0.2.5"

[dependencies.tracing-subscriber]
version = "0.3.23"

[dependencies.uuid]
version = "1.23.4"
features = ["v4"]

[dependencies.walkdir]
version = "2.5.0"

[dev-dependencies.tempfile]
version = "3.27.0"
